=== modified file 'test_on_merge.py'
--- test_on_merge.py	2008-05-30 20:04:17 +0000
+++ test_on_merge.py	2008-05-30 20:38:19 +0000
@@ -3,8 +3,8 @@
 
 """Tests that get run automatically on a merge."""
 
-import sys, re, time
-import os, os.path, errno
+import sys, time
+import os, errno
 import tabnanny
 from StringIO import StringIO
 import psycopg
@@ -31,7 +31,7 @@
     here = os.path.dirname(os.path.realpath(__file__))
 
     # Tabnanny
-    # NB. If tabnanny raises an exception, run 
+    # NB. If tabnanny raises an exception, run
     # python /usr/lib/python2.4/tabnanny.py -vv lib/canonical
     # for more detailed output.
     org_stdout = sys.stdout
@@ -86,7 +86,6 @@
         return 1
     cur.close()
     con.close()
-    
 
     # Build the template database. Tests duplicate this.
     here = os.path.dirname(os.path.realpath(__file__))
@@ -132,7 +131,6 @@
     del cur
     con.close()
     del con
-    
 
     print 'Running tests.'
     os.chdir(here)
@@ -154,11 +152,12 @@
         if len(rlist) == 0:
             if proc.poll() is not None:
                 break
-            print '\nTests hung - no output for %d seconds. Killing.' % TIMEOUT
+            print ("\nA test appears to be hung. There has been no output for"
+                " %d seconds. Sending SIGTERM." % TIMEOUT)
             killem(proc.pid, SIGTERM)
             time.sleep(3)
             if proc.poll() is not None:
-                print '\nNot dead yet! - slaughtering mercilessly'
+                print ("\nSIGTERM did not work. Sending SIGKILL.")
                 killem(proc.pid, SIGKILL)
             # Drain the subprocess's stdout and stderr.
             sys.stdout.write(proc.stdout.read())
@@ -172,7 +171,7 @@
 
     rv = proc.wait()
     if rv == 0:
-        print '\nSuccessfully run tests.'
+        print '\nSuccessfully ran all tests.'
     else:
         print '\nTests failed (exit code %d)' % rv
 

